VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "Form_Z_frmEmployeeExport"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Compare Database


Private Sub btnExport_Click()
    Dim xmlDoc As New DOMDocument
    Dim xmlNodeRoot, xmlNodeEmp, xmlNodeName, xmlNodeText As IXMLDOMNode
    
    Dim rstEmployees As Recordset
    Set rstEmployees = Me.RecordsetClone
    
    With rstEmployees
        ' Create the root node: <Employees>
        Set xmlNodeRoot = xmlDoc.createElement(.Name)
        xmlDoc.appendChild (xmlNodeRoot)
        
        .MoveFirst
        
        ' Iterate over the recordset building an XML DOM as we go...
        Do While Not .EOF
            ' <employee>
            Set xmlNodeEmp = xmlDoc.createElement("employee")
            
            
            
            ' <lastname>
            Set xmlNodeName = xmlDoc.createElement("lastname")
            Set xmlNodeText = xmlDoc.createTextNode(!LastName)
            Call xmlNodeName.appendChild(xmlNodeText)
            Call xmlNodeEmp.appendChild(xmlNodeName)
            
            ' <firstname>
            Set xmlNodeName = xmlDoc.createElement("firstname")
            Set xmlNodeText = xmlDoc.createTextNode(!FirstName)
            Call xmlNodeName.appendChild(xmlNodeText)
            Call xmlNodeEmp.appendChild(xmlNodeName)
            
            ' <country>
            Set xmlNodeName = xmlDoc.createElement("country")
            Set xmlNodeText = xmlDoc.createTextNode(!Country)
            Call xmlNodeName.appendChild(xmlNodeText)
            Call xmlNodeEmp.appendChild(xmlNodeName)
            
            ' <employee><lastname>...</lastname><firstname>...</firstname>
            ' <country>...</country><employee>
            Call xmlNodeRoot.appendChild(xmlNodeEmp)
            Call xmlNodeEmp.setAttribute("empID", !EmployeeID)
            
            .MoveNext
        Loop

        .Close
    End With
    
    ' Show us the XML...
    Text1.SetFocus
    Text1.Text = xmlDoc.xml
    
    ' Persist the XML to a file...
    ' The save method is an extension to the W3C DOM specification
    xmlDoc.Save ("C:\Documents and Settings\Administrator\My Documents\Documents\VBUG\XMLDemo-1\Employees.xml")
End Sub
